=== debian/changelog ===
libkgapi (5.1.0-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 09 Mar 2016 10:36:05 +0100

libkgapi (5.1.0-1) experimental; urgency=medium

  * New upstream release (5.1.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 11:32:10 +0100

libkgapi (5.0.0-1) experimental; urgency=medium

  * New upstream release (5.0.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 18:11:04 +0200

libkgapi (2.2.0-2) unstable; urgency=medium

  * Add libsoprano-dev build dep.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 23:09:06 +0200
