=== debian/watch ===
version=3
http://download.kde.org/stable/libkgapi/([\d.]+)/src/libkgapi-([\d.]+)\.tar\.xz
http://download.kde.org/unstable/libkgapi/([\d.]+)/src/libkgapi-([\d.]+)\.tar\.xz
