## libkgapi 17.04.3

=== debian/changelog ===
libkgapi (17.04.3-0ubuntu1) artful; urgency=medium

  [ Jonathan Riddell ]
  * Package moved to KDE Applications

  [ Rik Mills ]
  * Upstream beta release (17.03.80)
  * Make QtWebEngine build dependency required on all architectures
    again, as this is now not optional and builds will just fail if it
    is excluded

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Add libkf5gapi-data depend on libkpimgapi-data
  * Add libqt5webengine5 to depends, needed for authentication with
    google
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:00 +0100

libkgapi (5.3.1-0ubuntu2) artful; urgency=medium

  * Increase minimum KDE PIM build depends. 

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 01 May 2017 13:55:35 +0100

libkgapi (5.3.1-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Update Vcs entries to point to Launchpad
  * New upstream release (5.3.1)
  * Refreshing symbols
  * Adding new build dep libqt5webengine5-dev but not for arm64 or ppc64el
    as webengine is not available on these arch
  * Bump standards version to 3.9.8
  * Bump min Frameworks version to KF5.28

  [ Rik Mills ]
  * Also exclude qtwebengine build dep on s390x and powerpc
    architectures.

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 01 May 2017 13:46:05 +0100

libkgapi (5.1.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (5.1.0-1).
  * Migrate dbg package to automatic dbgsym

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:54:36 +0200
